API docs / Image models
FLUX Dev API
A 12 billion parameter rectified flow transformer capable of generating images from text descriptions
- Model id
black-forest-labs/flux-dev- Provider
- Flux AI
- Output
- Image
- Price
- From 9 credits per run, the same as on voor.ai. Options such as length or resolution can change it.
Request
POST https://voor.ai/v1/generations with "model": "black-forest-labs/flux-dev". Poll GET /v1/tasks/{id} or receive the signed webhook. See the overview for keys, idempotency, webhooks and errors.
curl https://voor.ai/v1/generations \
-H "Authorization: Bearer $VOOR_API_KEY" \
-H "Content-Type: application/json" \
-H "Idempotency-Key: $(uuidgen)" \
-d '{
"model": "black-forest-labs/flux-dev",
"input": {
"prompt": "A red fox standing in fresh snow at golden hour, soft light"
},
"callback_url": "https://example.com/webhooks/voor"
}'
# Then poll the task (or wait for the webhook):
curl https://voor.ai/v1/tasks/TASK_ID \
-H "Authorization: Bearer $VOOR_API_KEY"Input parameters
| Name | Type | Details |
|---|---|---|
promptrequired | string | Prompt for generated image |
reference_images | array of URLs | Input image for image to image mode. The aspect ratio of your output will match this image Up to 1 files · Accepts image/* |
aspect_ratio | string | Default: One of: 1:1, 16:9, 21:9, 3:2, 2:3, 4:5, 5:4, 3:4, 4:3, 9:16, 9:21 |
output_count | number | Number of outputs to generate Default: Min 1 · Max 4 |
seed | number | Random seed. Set for reproducible generation |
guidance | number | Guidance for generated image Default: Min 0 · Max 10 |
steps | number | Number of denoising steps. Recommended range is 28-50, and lower number of steps produce lower quality outputs, faster. Default: Min 1 · Max 50 |
output_format | string | Default: One of: webp, jpg, png |
go_fast | boolean | Run faster predictions with model optimized for speed (currently fp8 quantized); disable to run in original bf16. Note that outputs will not be deterministic when this is enabled, even if you set a seed. Default: |
megapixels | string | Default: One of: 1, 0.25 |
output_quality | number | Quality when saving the output images, from 0 to 100. 100 is best quality, 0 is lowest quality. Not relevant for .png outputs Default: Min 0 · Max 100 |
prompt_strength | number | Prompt strength when using img2img. 1.0 corresponds to full destruction of information in image Default: Min 0 · Max 1 |